Subject: Re: [PATCH v2 5/5] refs/reftable: add fsck check for incorrect update index

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Sep 2025 15:42:19 -0700

Karthik Nayak <[email-masked]> writes:

> Introduce a fsck check for the reftable backend, which checks if the
> tables in 'tables.list' contain sequential update index. The tables in
> the reftable backend should contain sequential update index. This fsck
> check ensures that.
>
> We must note that the reftable backend itself doesn't check to ensure
> this and it also doesn't check to ensure that the index in the table
> name matches the index in the header or the table. The latter is not
> implemented in this fsck check either and will be added in a future
> patch where we add fsck checks for internals of a table.

Similar to the previous step, I am not sure why this should not be
checked at runtime and is flagged as an error.

In general, we do try to avoid retroactively tightening rules, but
the reftable is so new and not even the default.  If we noticed that
the runtime has been overly loose, the time to tighten it is now,
not after even more installations use it.